/*
 * Correction de l'exercice 3.1 utiliser un expression régulière 
 * pour obtenir les valeurs d'un chaîne contenant des données textuelles CSV
 */


/**
 * découpe une chaîne de caractères correspondant à une ligne d'un fichier CSV
 * contenant des nombres en un tableau de valeurs numériques.
 * @param {string} csvString une chaîne correspondant à une ligne CSV
 * @returns le tableau des valeurs de cette ligne
 */
function csvToStringArray(csvString) {
    let tokens = csvString.split(/\s*,\s*|^\s*|\s*$/); // on utilise une expression régulière 
    return tokens.slice(1,tokens.length - 1);
}

let str = "  valeur1 ,  valeur2 ,   valeur3 composée de plusieurs mots,, valeur4,valeur5,  dernière valeur  ";
let res = csvToStringArray(str);
console.log('la chaine à traiter\n' + str);
console.log('\nLe tableau résultat\n');
console.table(res);