/*
 * Correction de l'exercice 2.1 utiliser un expression régulière 
 * pour obtenir les valeurs d'un chaîne contenant des données numeriques CSV
 */

/**
 * découpe une chaîne de caractères correspondant à une ligne d'un fichier CSV
 * contenant des nombres en un tableau de valeurs numériques.
 * @param {string} csvString une chaîne correspondant à une ligne CSV
 * @returns le tableau des valeurs de cette ligne
 */
function csvToNumberArray(csvString) {
    let tokens = csvString.split(","); // on découpe a chaîne autours des ","
    let resultat = []; // tableau vide

    for (let i = 0; i < tokens.length; i++) {
        resultat.push(parseFloat(tokens[i]));  // on rajoute à résultat le token i transformé en nombre
    }

    return resultat;
}

let str = " 123,   -11,12,  34.67,, 1257, 0.78,  14, 17, -345.2 ";
let res = csvToNumberArray(str);
console.log('la chaine à traiter\n' + str);
console.log('\nLe tableau résultat\n');
console.table(res);