/**
 * Correction de l'exercice 3.2 rechercher des adresses MAC valides dans une
 * chaîne de caractères
 */


let str = "Par exemple: 01-32-54-F7-89-AB ou 01-32-54-f7-89-ab \
ou 01:32:54:F7:89:AB sont des adresses MAC valides. \
Par contre 01-32-54-K7-89-AB et 01:32-54-f7:89-ab ne sont pas valides.";

let iterator = str.matchAll(/[0-9A-Fa-f]{2}(-|:)[0-9A-Fa-f]{2}((\1)[0-9A-Fa-f]{2}){4}/g);

console.log("Recherche des adresses MAC valides dans la chaîne");
console.log(`'${str}'`);
for (match of iterator) {
    console.log(`\n${match[0]}  est une adresse MAC valide
     sa position dans la chaîne : ${match.index} à ${match.index + match[0].length} (non inclus)`);
}